%define	module	Bit-Vector
%define	version	6.4
%define	release	%mkrel 7
%define	pdir	Bit

%define TEST 1
%{?_with_test: %{expand: %%global TEST 1}}
%{?_without_test: %{expand: %%global TEST 0}}

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release:	%{release}
License: 	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	perl-devel
BuildRequires:	perl-Carp-Clan

%description
%{module} module for perl.
Bit::Vector is an efficient C library which allows you to handle
bit vectors, sets (of integers), "big integer arithmetic" and
boolean matrices, all of arbitrary sizes.

%prep
%setup -q -n %{module}-%{version}
chmod -R u+w examples

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="$RPM_OPT_FLAGS"

%check
%if %{TEST}
LANG=C %make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc CHANGES.txt CREDITS.txt INSTALL.txt README.txt examples
%{_mandir}/man3/Bit::Vector*
%dir %{perl_vendorarch}/Bit
%{perl_vendorarch}/Bit/Vector*
%dir %{perl_vendorarch}/auto/Bit
%{perl_vendorarch}/auto/Bit/Vector*



%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 6.4-7mdv2009.1
+ Revision: 351678
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.4-6mdv2009.0
+ Revision: 223568
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 6.4-5mdv2008.1
+ Revision: 151390
- rebuild for perl-5.10.0

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 6.4-4mdv2008.1
+ Revision: 136664
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 6.4-4mdv2008.0
+ Revision: 23418
- rebuild


* Sat Jan 21 2006 Luca Berra <bluca@vodka.it> 6.4-3mdk
Rebuild for new perl

* Sun Nov 21 2004 Stefan van der Eijk <stefan@mandrake.org> 6.4-2mdk
- BuildRequires

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.4-1mdk
- New version 6.4

* Thu Feb 12 2004 Luca Berra <bluca@vodka.it> 6.3-4mdk
- rebuild for perl 5.8.3

* Tue Dec 30 2003 Luca Berra <bluca@vodka.it> 6.3-3mdk
- add parent dirs (distriblint)
- fixed permissions on examples

* Wed Oct 15 2003 Luca Berra <bluca@vodka.it> 6.3-2mdk
- added examples to documentation

* Sun Oct 05 2003 Luca Berra <bluca@vodka.it> 6.3-1mdk
- Initial build.

